Bug 1206877 - Review Request: golang-github-dchest-cssmin - Go port of Ryan Grove's cssmin.
Summary: Review Request: golang-github-dchest-cssmin - Go port of Ryan Grove's cssmin.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jan Chaloupka
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1426972
TreeView+ depends on / blocked
 
Reported: 2015-03-29 09:19 UTC by Fabio Alessandro Locati
Modified: 2017-04-04 16:01 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-04-04 16:01:59 UTC
Type: ---
jchaloup: fedora-review+


Attachments (Terms of Use)

Comment 1 Jan Chaloupka 2015-04-02 14:12:17 UTC
Summary:
- license is OK
- list of provides OK
- list of dependencies (none) OK

$ rpmlint /home/jchaloup/rpmbuild/SRPMS/golang-github-dchest-cssmin-0-0.1.gita22e1d8.fc20.src.rpm /home/jchaloup/rpmbuild/RPMS/noarch/golang-github-dchest-cssmin-devel-0-0.1.gita22e1d8.fc20.noarch.rpm
golang-github-dchest-cssmin.src: W: summary-ended-with-dot C Go port of Ryan Grove's cssmin.
golang-github-dchest-cssmin-devel.noarch: W: summary-ended-with-dot C Go port of Ryan Grove's cssmin.
2 packages and 0 specfiles checked; 0 errors, 2 warnings.

Summary should not end with dot. Can you, please, remove it?
There is no LICENSE file although README.md mentions it is BSD. Can you copy license text from cssmin.go to LICENSE file? Thanks

Comment 2 Upstream Release Monitoring 2016-02-08 13:43:19 UTC
jchaloup's scratch build of go-memdb-9ea975b.tar.gz for cli-build/1454938967.533693.wYGVMBzT/go-memdb-9ea975b.tar.gz and f22-candidate failed http://koji.fedoraproject.org/koji/taskinfo?taskID=12902531

Comment 3 Athos Ribeiro 2016-11-14 18:13:54 UTC
There's a new commit with a LICENSE file [1]

https://github.com/dchest/cssmin/commit/fb8d9b44afdc258bfff6052d3667521babcb2239

Comment 4 Athos Ribeiro 2017-03-04 17:42:01 UTC
Hello Fabio,

Are you still interested in going on with this? If not, I will take over, since I got a package depending on this one

Comment 5 Fabio Alessandro Locati 2017-03-05 17:07:58 UTC
Hi Athos,
I packaged this because my goal was to package Hugo, but I never had enough time to package all dependencies etc.
I've noticed that you are packaging Hugo, so I think it would make sense if you also pick up this one.

Thanks a lot for your effort packaging Hugo :).
Fale

Comment 7 Athos Ribeiro 2017-03-06 22:15:11 UTC
Thank you for the package and the review!!!

Comment 8 Gwyn Ciesla 2017-03-07 13:34:57 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/golang-github-dchest-cssmin

Comment 9 Fedora Update System 2017-03-07 15:33:39 UTC
golang-github-dchest-cssmin-0-0.3.gitfb8d9b4.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-6411360055

Comment 10 Fedora Update System 2017-03-10 23:19:42 UTC
golang-github-dchest-cssmin-0-0.3.gitfb8d9b4.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-6411360055

Comment 11 Fedora Update System 2017-04-04 16:01:59 UTC
golang-github-dchest-cssmin-0-0.3.gitfb8d9b4.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.